Skip to main content
`Ctrl`+`K`

# DMPlexCheckFaces

Check that the faces of each cell give a vertex order this is consistent with what we expect from the cell type

## Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexCheckFaces(DM dm, PetscInt cellHeight)

Collective

## Input Parameters

- dm - The `DMPLEX` object

- cellHeight - Normally 0

## Notes

This is a useful diagnostic when creating meshes programmatically. This routine is only relevant for meshes that are fully interpolated across all ranks. It will error out if a partially interpolated mesh is given on some rank. It will do nothing for locally uninterpolated mesh (as there is nothing to check).

For the complete list of DMPlexCheck* functions, see `DMSetFromOptions()`.

## See Also

DMPlex: Unstructured Grids, `DM`, `DMPLEX`, `DMCreate()`, `DMPlexGetVTKCellHeight()`, `DMSetFromOptions()`

## Level

developer

## Location

src/dm/impls/plex/plex.c

## Examples

src/dm/impls/plex/tutorials/ex11.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages